﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS500A (1 yr) Delay Match IEEE /5500+S6
INSTRUMENT:            Sub TDS500A (1 yr) Time Base IEEE /5500+S6
INSTRUMENT:            Sub TDS500A (1 yr) Trig Time Acc IEEE /5500+S6
INSTRUMENT:            Sub TDS500A (1 yr) Probe Comp IEEE /5500+S6
DATE:                  2009-11-19 11:44:18
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       639
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 500A
#          TDS 510A, TDS 520A, TDS 524A, TDS 540A, TDS 544A
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Read Time by Cursor Walker IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        tdsprobe.jpg      Picture: Probe compensation Test
#        55_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        55_4ck12.jpg      Picture: 55x0A Scope Out to UUT CH 1 & 2
#        55_4ck13.jpg      Picture: 55x0A Scope Out to UUT CH 1 & 3
#        55_4ck14.jpg      Picture: 55x0A Scope Out to UUT CH 1 & 4
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DELAY_MATCH                  PSUBI("Delay Match")
  1.002  JMPL         SAMPLE_RATE                  PSUBI("Time Base")
  1.003  JMPL         TRIGGER_TIME_ACCURACY        PSUBI("Trig Time Acc")
  1.004  JMPL         PROBE_COMPENSATION_SIGNAL    PSUBI("Probe Comp")
  1.005  DISP         {Undefined subprocedure!}
  1.006  END

  1.007  EVAL   Increment step number

# ******************************* Delay Match *****************************

  2.001  LABEL        DELAY_MATCH
  2.002  RSLT         =
  2.003  HEAD         {CHECK DELAY BETWEEN CHANNELS}
  2.004  TARGET
  2.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  2.006  MATH         Model = @ModelNum

  2.007  IF           ZCMPI(Model, "TDS 510A")
  2.008  MATH         MainScale = 250E-12
# Turn on the horizontal zoom function.
  2.009  IEEE2        ZOOM:STATE ON
  2.010  IEEE2        HOR:MAI:SCA [V MainScale]
  2.011  IEEE2        ZOOM:HOR:SCALE 2.0
  2.011  IEEE2        ZOOM:VERTICAL:SCALE 1.0
  2.011  IEEE2        ZOOM:HOR:LOCK ALL

  2.012  ELSE         ; TDS 520A, TDS 524A, TDS 540A, TDS 544A
  2.013  MATH         MainScale = 500E-12
  2.014  IEEE2        HOR:MAI:SCA [V MainScale]
  2.015  ENDIF

  2.016  IEEE2        ACQ:STOPAFTER RUNSTOP;MODE AVERAGE;NUMAVG 16
  2.017  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
  2.018  IEEE2        CURS:FUNC PAI;MOD IND
  2.018  IEEE2        CURS:PAI:SEL CURSOR1
# This test requires the measurement of all four channels while triggering on
# Channel 1.  We have to display each waveform and walk up the waveform and
# read the voltage until we reach the zero crossing point. We would have
# liked to store each waveform in reference memory and make a delta time
# measurement with the cursors.  Unfortunately, the cursors have to track one
# waveform at a time, and there are no commands to automate this  function
# any better.

# Set horizontal starting position for Cursor Walker(-2.5 div).
  2.019  MATH         @StartPos = -2.5 * MainScale
# Set loop control variable of measurements.
  2.020  MATH         LoopTimes = 0
# Set maximum checking times for Sub TDS500/600/700 Check Trig Status IEEE.
  2.021  MATH         @TriggeredChkTimes = 3

# Set maximum loop channels to be tested for only channel 1 and 2 is required
# per the service manual of TDS 520A and TDS 524A.
  2.022  IF           ZCMPI(Model, "TDS 520A") || ZCMPI(Model, "TDS 524A")
  2.023  MATH         MaxCh = 2
  2.024  ELSE
  2.025  MATH         MaxCh = 4
  2.026  ENDIF

# The trigger must be put to channel 1 before channel delay test.
  2.027  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC

# Loop 2 times in order to get average of channel delay.
  2.028  DO
  2.029  MATH         Chan = 1

# Loop from channel 1 to 2 or 4 by the UUT models.
  2.030  DO

  2.031  IF           LoopTimes == 0
  2.032  MATH         Test = "First Test"
  2.033  ELSE
  2.034  MATH         Test = "Second Test"
  2.035  ENDIF

  2.036  HEAD         -2 DELAY: Channel [V Chan] ([V Test])

  2.037  IF           Chan == 1
  2.038  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  2.039  ELSEIF       Chan == 2
  2.040  IEEE2        SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  2.041  ELSEIF       Chan == 3
  2.042  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  2.043  ELSE
  2.044  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  2.045  ENDIF

  2.046  IF           ZCMPI(Model, "TDS 510A")
  2.047  IEEE2        ZOOM:HOR:SCALE 2.0
  2.047  IEEE2        ZOOM:VERTICAL:SCALE 1.0
  2.047  IEEE2        ZOOM:HOR:LOCK ALL
  2.048  ENDIF

# loop if UUT not trigged.
  2.049  DO

  2.050  IF           Chan != 2
  2.051  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  2.052  ENDIF

  2.053  IF           Chan == 1
  2.054  PIC          55_4ck12.jpg
  2.055  ELSEIF       Chan == 3
  2.056  PIC          55_4ck13.jpg
  2.057  ELSEIF       Chan == 4
  2.058  PIC          55_4ck14.jpg
  2.059  ENDIF

  2.060  IEEE2        [T30000]ACQ:STATE RUN
  2.061  5500         600mVpp                      250MH          LS S6 S  L
  2.062  IEEE2        TRIG:MAI SETL
  2.063  WAIT         -t 3 Settling...

  2.064  IF           Chan == 1
# Check the channel 1, 2 to see whether the signal have been connected into.
  2.065  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC
  2.066  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.067  MATH         HookupOK = @Triggered

  2.068  IEEE2        TRIG:MAI:EDGE:SOU CH2;COUP DC
  2.069  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.070  MATH         HookupOK = HookupOK && @Triggered

  2.071  ELSEIF       Chan > 2
# Check the channel 1 to see whether the signal have been connected into.
  2.072  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC
  2.073  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.074  MATH         HookupOK = @Triggered

# Check the channel under test whether the signal have been connected into.
  2.075  IEEE2        TRIG:MAI:EDGE:SOU CH[V Chan];COUP DC
  2.076  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.077  MATH         HookupOK = HookupOK && @Triggered
  2.078  ENDIF

  2.079  IF           NOT(HookupOK)
  2.080  DISP         The UUT is not triggered!
  2.080  DISP         Check connections.
  2.081  ENDIF

  2.082  UNTIL        HookupOK

# The trigger must be put to channel 1 before channel delay test.
  2.083  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC
  2.084  IEEE2        TRIG:MAI SETL
  2.085  WAIT         -t 3 Settling...
  2.086  CALL         Sub TDS500/600/700 Read Time by Cursor Walker IEEE

  2.087  IF           Chan == 1
  2.088  MATH         L[1] = @TimeVal
  2.089  ELSEIF       Chan == 2
  2.090  MATH         L[2] = @TimeVal
  2.091  ELSEIF       Chan == 3
  2.092  MATH         L[3] = @TimeVal
  2.093  ELSE
  2.094  MATH         L[4] = @TimeVal
  2.095  ENDIF

  2.096  MATH         Chan = Chan + 1
  2.097  UNTIL        Chan > MaxCh

  2.098  IF           LoopTimes < 1
# Save the first set of readings and take another.
  2.099  MATH         L[11] = L[1]
  2.100  MATH         L[12] = L[2]
  2.101  MATH         L[13] = L[3]
  2.102  MATH         L[14] = L[4]
  2.103  ENDIF

  2.104  MATH         LoopTimes = LoopTimes + 1
# Exit to compare readings if two sets of data have been taken.
  2.105  UNTIL        LoopTimes > 1

# Calculate the skew between channels

  2.106  IF           MaxCh == 2
# Calculate the average skew between channel 1 & 2
  2.107  MATH         MEM = (ABS(L[1] - L[2]) + ABS(L[11] - L[12])) / 2
  2.108  MATH         MEM = MEM / 1E-12

  2.109  ELSE
# Calculate the average skew between channel 1 & 2
  2.110  MATH         L[6] = (ABS(L[1] - L[2]) + ABS(L[11] - L[12])) / 2
# Calculate the average skew between channel 1 & 3
  2.111  MATH         L[7] = (ABS(L[1] - L[3]) + ABS(L[11] - L[13])) / 2
# Calculate the average skew between channel 1 & 4
  2.112  MATH         L[8] = (ABS(L[1] - L[4]) + ABS(L[11] - L[14])) / 2
# Calculate the greatest amount of skew
  2.113  MATH         MEM = MAX_L(6, 8) / 1E-12
  2.114  ENDIF

  2.115  MATH         RtStr = FMT(MEM, "%.1f") & " ps"
  2.116  MEM2         = Delay Limit between: ±250 ps, Result: [V RtStr]
  2.117  EVAL   -e (MEM >= -250) && (MEM <= 250) : [MEM2]

  3.001  HEAD         -2
  3.002  HEAD
  3.003  5500         *                                                 S
  3.004  END

  3.005  EVAL   Increment step number

# ******************************** Sample Rate *****************************

  4.001  LABEL        SAMPLE_RATE
  4.002  RSLT         =
  4.003  RSLT         =TIME BASE SYSTEM CHECKS
  4.004  RSLT         =
  4.005  HEAD         { SAMPLE RATE AND DELAY TIME ACCURACY}
  4.006  TSET         NMEAS = 1 NTHROW = 0
  4.007  TARGET       -p
  4.008  CALL         Sub TDS500/600/700 Select Channel IEEE

  4.009  IF           ZCMPI(@ModelNum, "TDS 510A")
  4.010  MATH         VerticalScale = 200E-3
  4.011  IEEE2        CH[V @Chan]:SCA [V VerticalScale]
  4.012  IEEE2        HOR:MAI:SCA 1E-3
  4.013  IEEE2        CH[V @Chan]:IMP FIF;POSITION 0.0
  4.014  IEEE2        HOR:TRIG:POS 50
  4.015  IEEE2        HOR:POS 50
  4.016  IEEE2        HOR:MODE DELAYED
  4.017  MATH         DelayScale = 100E-9
  4.018  IEEE2        HOR:DEL:SEC [V DelayScale]
  4.019  IEEE2        TRIG:MAI:MODE NORM

  4.020  ELSE         ; TDS 520A, TDS 524A, TDS 540A and TDS 544A
  4.021  MATH         VerticalScale = 500E-3
  4.022  IEEE2        CH[V @Chan]:SCA [V VerticalScale]
  4.023  IEEE2        HOR:MAI:SCA 1E-3
  4.024  IEEE2        CH[V @Chan]:IMP FIF;POSITION 0.0
  4.025  IEEE2        HOR:TRIG:POS 50
  4.026  IEEE2        HOR:POS 50
  4.027  IEEE2        HOR:MODE DELAYED
  4.028  MATH         DelayScale = 100E-9
  4.029  IEEE2        HOR:DEL:SEC [V DelayScale]
  4.030  IEEE2        TRIG:MAI:MODE NORM
  4.031  IEEE2        HOR:RECO 1000
  4.032  IEEE2        HOR:TRIG:POS 50
  4.033  ENDIF

  4.034  5500         10mT                                        M2 S6 S  L
  4.035  WAIT         -t 3 System Settling ...
  4.036  IEEE2        TRIG:MAI SETL
  4.037  TARGET       -m
  4.038  IEEE2        CURS:FUNC PAI
# Initialize the cursor position -4.5 divisions from the center
  4.039  MATH         StartPos = -1 * 4.5 * DelayScale
  4.040  MATH         StopPos = 4.5 * DelayScale
  4.041  IEEE2        CURS:PAI:POSITION1 [V StartPos];POSITION2 0.0
# Initialize the cursor position -4.5 divisions from the center
  4.042  MATH         CurrentPos = StartPos

# Coarse tuning mode
  4.043  DO
# Start Moving and Reading the cursor
  4.044  MATH         MEM = CurrentPos
# Set the vertical cursor position
  4.045  IEEE2        CURS:PAI:POSITION1 [MEM]
  4.046  WAIT         [D1000]
# Read the vertical cursor position
  4.047  IEEE2        CURS:PAI:POSITION1?[I]
  4.048  MATH         VPos = MEM
# Read the horizontal cursor position
  4.049  IEEE2        CURS:PAI:HPOS1?[I]
  4.050  MATH         HPos = MEM
# Set up string to print in the header
  4.051  MATH         MEM2 = "Vert Cursor = "& VPos & " Hor Cursor = " & HPos
  4.052  HEAD         -2 [MEM2]
# (Forward, time increment is one fifth of delay time base scale).
  4.053  MATH         CurrentPos = CurrentPos + DelayScale / 5
# If the time exceeds +4.5 div, the test has failed and jump out.
# If the voltage exceeds 0.100 volts, then we are on the rise time.
  4.054  UNTIL        (VPos > StopPos) || (HPos >= 0.100)

# Fine Tuning Mode
  4.055  DO
  4.056  MATH         MEM = CurrentPos
# Set the vertical cursor position
  4.057  IEEE2        CURS:PAI:POSITION1 [MEM]
  4.058  WAIT         [D1000]
# Read the horizontal cursor position
  4.059  IEEE2        CURS:PAI:POSITION1?[I]
  4.060  MATH         VPos = MEM
# Read the vertical cursor position
  4.061  IEEE2        CURS:PAI:HPOS1?[I]
  4.062  MATH         HPos = MEM
# Set up string to print in the Header
  4.063  MATH         MEM2 = "Hor Cursor = "& VPos & " Vert Cursor = " & HPos
  4.064  HEAD         -2 [MEM2]
# (backwards, time decrease is one fiftieth of delay time base scale).
  4.065  MATH         CurrentPos = CurrentPos - DelayScale / 50
# If the Time Exceeds -4.5 div, the test has failed and jump out.
# If the voltage below 0.01 volts, then we are on the base line.
  4.066  UNTIL        (VPos <= StartPos) || (HPos <= 0.010)

# Convert the delay time result according the horizontal delay scale.
  4.067  IEEE2        CURS:PAI:POSITION1?[I]
  4.068  MATH         MEM = MEM / DelayScale

# Check the accuracy of calibrator 10 ms marker signal.
  4.069  MATH         L[1] = ACCV("Fluke 5500A", "Hertz M2 S6", 1 / 10E-3)
# Convert to absolute of display division based the delay time base scale.
  4.070  MATH         L[1] = (10E-3 * (L[1] / (1 / 10E-3))) / DelayScale
  4.071  ACC          0.00div        L1U
  4.072  MEMCX        0.00div        2.5U

  5.001  HEAD         -2
  5.002  5500         *                                                 S
  5.003  END

  5.004  EVAL   Increment step number

# **************************** Trigger Time Acc ************************

  6.001  LABEL        TRIGGER_TIME_ACCURACY
  6.002  RSLT         =
  6.003  RSLT         =TRIGGER SYSTEM CHECKS
  6.004  RSLT         =
  6.005  RSLT         =TIME ACCURACY for PULSE,GLICH,TIMEOUT,WIDTH TRIGGERING
  6.006  RSLT         =
  6.007  HEAD         { Pulse-Glitch or Pulse-Width, Hor. Scale <= 1 µs}
  6.008  TARGET
  6.009  CALL         Sub TDS500/600/700 Select Channel IEEE
  6.010  IEEE2        HOR:MAI:SCA 10.0E-9
  6.011  IEEE2        CH[V @Chan]:IMP FIF;SCA 100E-3
  6.012  5500         500mVpp                      100MH          LS S6 S  L
  6.013  IEEE2        TRIG:MAI:MOD NORM;TYP PUL
  6.014  IEEE2        TRIG:MAI:PUL:SOU CH[V @Chan];CLA WID
  6.015  IEEE2        TRIG:MAI:PUL:WID:HIGHL 10E-9;LOWL 2E-9
  6.016  IEEE2        TRIG:MAI SETL

# Set Maximum checking times for Sub TDS500/600/700 Check Trig Status IEEE
  6.017  MATH         @TriggeredChkTimes = 3

  6.018  MATH         LowerLimit = 2.5E-9; UpperLimit = 7.5E-9
# Find the pulse width lower Limit setting that could make triggering lost.
  6.019  MATH         Readout = LowerLimit

  6.020  DO
  6.021  MATH         MEM2 = FMT((Readout / 1E-9), "%.1f")
  6.022  HEAD         -2 100 MHz, Lower Limit [MEM2] ns
  6.023  IEEE2        TRIG:MAI:PUL:WID:LOWL [V Readout]
  6.024  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  6.025  IF           @Triggered
  6.026  MATH         Readout = Readout + 0.1E-9
  6.027  ENDIF

  6.028  UNTIL        Readout > UpperLimit || NOT(@Triggered)

  6.029  MATH         S[2] = FMT(LowerLimit / 1E-9, "%.1f") & " ns"
  6.030  MATH         S[3] = FMT(UpperLimit / 1E-9, "%.1f") & " ns"
  6.031  MATH         S[1] = FMT(Readout / 1E-9, "%.1f") & " ns"
  6.032  MEM2         = Width Lower Limit : [S2] to [S3], Result [S1]
  6.033  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

  7.001  5500         500mVpp                      100MH          LS S6 S  L
# Set the pulse width lower limit back in order to reestablish triggering
  7.002  IEEE2        TRIG:MAI:PUL:WID:LOWL 2E-9

# Find the pulse width upper Limit setting that could make triggering lost.
  7.003  MATH         Readout = UpperLimit

  7.004  DO
  7.005  MATH         MEM2 = FMT((Readout / 1E-9), "%.1f")
  7.006  HEAD         -2 100 MHz, Upper Limit [MEM2] ns
  7.007  IEEE2        TRIG:MAI:PUL:WID:HIGHL [V Readout]
  7.008  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  7.009  IF           @Triggered
  7.010  MATH         Readout = Readout - 0.1E-9
  7.011  ENDIF

  7.012  UNTIL        Readout < LowerLimit || NOT(@Triggered)

  7.013  MATH         S[1] = FMT(Readout / 1E-9, "%.1f") & " ns"
  7.014  MEM2         = Width Upper Limit : [S2] to [S3], Result [S1]
  7.015  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
  8.001  IEEE2        TRIG:MAI:PUL:WID:HIGHL 10E-9

  8.002  HEAD         -2
  8.003  5500         *                                                 S

  8.004  RSLT         =
  8.005  HEAD         { Pulse-Glitch or Pulse-Width, Hor. Scale > 1 µs}
  8.006  TARGET
  8.007  IEEE2        TRIG:MAI:MOD NORM;TYP PUL
  8.008  IEEE2        TRIG:MAI:PUL:SOU CH[V @Chan];CLA WID
  8.009  IEEE2        TRIG:MAI:PUL:WID:HIGHL 4E-6;LOWL 500E-9
  8.010  IEEE2        HOR:SCA 5E-6
  8.011  5500         500mVpp                      250kH          LS S6 S  L
  8.012  WAIT         -t 2 Settling...
  8.013  IEEE2        CH[V @Chan]:SCA 20E-3
  8.014  IEEE2        TRIG:MAI SETL
  8.015  MATH         LowerLimit = 1.0E-6; UpperLimit = 3.0E-6
# Find the pulse width lower Limit setting that could make triggering lost.
  8.016  MATH         Readout = LowerLimit

  8.017  DO
  8.018  MATH         MEM2 = FMT((Readout / 1E-6), "%.2f")
  8.019  HEAD         -2 250 kHz, Lower Limit [MEM2] µs
  8.020  IEEE2        TRIG:MAI:PUL:WID:LOWL [V Readout]
  8.021  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  8.022  IF           @Triggered
  8.023  MATH         Readout = Readout + 0.01E-6
  8.024  ENDIF

  8.025  UNTIL        Readout > UpperLimit || NOT(@Triggered)

  8.026  MATH         S[2] = FMT(LowerLimit / 1E-6, "%.2f") & " µs"
  8.027  MATH         S[3] = FMT(UpperLimit / 1E-6, "%.2f") & " µs"
  8.028  MATH         S[1] = FMT(Readout / 1E-6, "%.2f") & " µs"
  8.029  MEM2         = Width Lower Limit : [S2] to [S3], Result [S1]
  8.030  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

  9.001  5500         500mVpp                      250kH          LS S6 S  L
# Set the pulse width lower limit back in order to reestablish triggering
  9.002  IEEE2        TRIG:MAI:PUL:WID:LOWL 500E-9

# Find the pulse width upper Limit setting that could make triggering lost.
  9.003  MATH         Readout = UpperLimit

  9.004  DO
  9.005  MATH         MEM2 = FMT((Readout / 1E-6), "%.2f")
  9.006  HEAD         -2 250 kHz, Upper Limit [MEM2] µs
  9.007  IEEE2        TRIG:MAI:PUL:WID:HIGHL [V Readout]
  9.008  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  9.009  IF           @Triggered
  9.010  MATH         Readout = Readout - 0.01E-6
  9.011  ENDIF

  9.012  UNTIL        Readout > LowerLimit || NOT(@Triggered)

  9.013  MATH         S[1] = FMT(Readout / 1E-6, "%.2f") & " µs"
  9.014  MEM2         = Width Upper Limit : [S2] to [S3], Result [S1]
  9.015  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
 10.001  IEEE2        TRIG:MAI:PUL:WID:HIGHL 4E-6

 10.002  HEAD         -2
 10.003  5500         *                                                 S
 10.004  END

 10.005  EVAL   Increment step number

# ************************** Probe Compensation *****************************

 11.001  LABEL        PROBE_COMPENSATION_SIGNAL
 11.002  RSLT         =
 11.003  HEAD         {PROBE COMPENSATION SIGNAL TEST}
 11.004  TARGET
 11.005  MATH         @Chan = 1
 11.006  CALL         Sub TDS500/600/700 Select Channel IEEE
 11.007  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 11.008  PIC          tdsprobe.jpg
 11.009  MATH         VerticalScale = 100E-3
 11.010  IEEE2        CH[V @Chan]:SCA [V VerticalScale]
 11.011  IEEE2        CH[V @Chan]:POS -2.5;IMP MEG
 11.012  IEEE2        HOR:SCA 200E-6
 11.013  IEEE2        TRIG:MAI:MOD AUTO
 11.014  IEEE2        TRIG:MAI SETL
 11.015  WAIT         [D1000]
 11.016  IEEE2        ACQ:MODE AVE;NUMAV 128
 11.017  WAIT         [D1000]
 11.018  IEEE2        MEASU:METH MINM
# Get the high and low value of waveform, accurate shift the waveform to the
# center of the screen before saving it.
 11.019  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE HIGH;STATE ON
 11.020  WAIT         [D1000]
 11.021  IEEE2        MEASU:MEAS1:VAL?[I]
 11.022  MATH         High = MEM / 1E-3

 11.023  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE LOW;STATE ON
 11.024  WAIT         [D1000]
 11.025  IEEE2        MEASU:MEAS1:VAL?[I]
 11.026  MATH         Low = MEM / 1E-3

# Calculate the shift value of centering the waveform on the screen based
# the vertical division.
 11.027  MATH         L[1] = -1 * (High - Low) / 2 / (VerticalScale / 1E-3)
 11.028  IEEE2        CH[V @Chan]:POS [L1]
 11.029  WAIT         [D1000]
 11.030  IEEE2        SAVE:WAVE CH[V @Chan],REF1
 11.031  IEEE2        MEASU:MEAS1:STATE OFF
 11.032  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 11.033  PIC          55_4ck_1.jpg
 11.034  DISP         The next routine operator intervention occurs
 11.034  DISP         in approximately 1 minutes ...
 11.035  IEEE2        ACQ:MODE AVE;NUMAV 16
 11.036  IEEE2        SELECT:REF1 ON
# Get the 100% referenced measurement of saved probe compensation signal.
 11.037  IEEE2        MEASU:MEAS1:SOU REF1;TYPE HIGH;STATE ON
 11.038  WAIT         [D1000]
 11.039  IEEE2        MEASU:MEAS1:VAL?[I]
 11.040  MATH         MEM = MEM / 1E-3

 11.041  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE HIGH;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the top (upper) level of saved waveform.
 11.042  MATH         Ref = MEM; MEM1 = MEM

 11.043  DO
 11.044  MATH         MEM = MEM1 + (Ref - MEM) / 2
# Set the output limit trap in order to avoid calculated output exceed the
# display scale of screen too much and resulted query error because of
# unstable reading.
 11.045  MATH         Trap = 6 * VerticalScale / 1E-3

 11.046  IF           MEM > Trap || MEM < (-1 * Trap)
 11.047  MATH         MEM = Ref
 11.048  ENDIF

 11.049  5500         mV                                             S6 S
 11.050  WAIT         [D2000]
 11.051  IEEE2        MEASU:MEAS2:VAL?[I]
 11.052  MATH         MEM = MEM / 1E-3
 11.053  UNTIL        MEM >= (Ref - 1) && MEM <= (Ref + 1)

# Last calibrator amplitude setting is in MEM1.
 11.054  MATH         AmpHigh = MEM1

# Get the 0% referenced measurement of saved probe compensation signal.
 11.055  IEEE2        MEASU:MEAS1:SOU REF1;TYPE LOW;STATE ON
 11.056  WAIT         [D1500]
 11.057  IEEE2        MEASU:MEAS1:VAL?[I]
 11.058  MATH         MEM = MEM / 1E-3

 11.059  5500         *                                                 S

 11.060  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE LOW;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the base (below) level of saved waveform.
 11.061  MATH         Ref = MEM; MEM1 = MEM; Times = 0

 11.062  DO
 11.063  MATH         MEM = MEM1 + (Ref - MEM) / 2

# Set the calibrator output value to minimum that it could output if the
# adjust value is below this limit.
 11.064  IF           MEM < 0.888 && MEM > -0.888
 11.065  MATH         MEM = 0
 11.066  ENDIF

 11.067  5500         mV                                             S6 S
 11.068  WAIT         [D2000]
 11.069  IEEE2        MEASU:MEAS2:VAL?[I]
 11.070  MATH         MEM = MEM / 1E-3
 11.071  MATH         Times = Times + 1
 11.072  UNTIL        MEM >= (Ref - 0.1) && MEM <= (Ref + 0.1) || Times > 10

# Last calibrator amplitude setting is in MEM1.
 11.073  MATH         AmpLow = MEM1

 11.074  MATH         MEM = AmpHigh - AmpLow
# Set significant digit of reading
 11.075  MATH         MEM = FRND(MEM, 4)
 11.076  MATH         Result = FMT(MEM, "%.1f")
 11.077  MEM2         = Limit: 495.0 <= AMPL <= 505.0 mV
 11.078  MEM2         =[MEM2], Result: [V Result] mV
 11.079  EVAL   -e MEM >= 495.0 && MEM <= 505.0 : [MEM2]

 12.001  5500         *                                                 S

 12.002  IEEE2        ACQ:MODE AVE;NUMAV 128
 12.003  IEEE2        MEASU:MEAS1:SOU REF1;TYPE FREQ;STATE ON
 12.004  WAIT         [D1000]
 12.005  IEEE2        MEASU:MEAS1:VAL?[I]
 12.006  MATH         MEM = MEM / 1E+3
 12.007  MATH         Result = FMT(MEM, "%.3f")
 12.008  MEM2         = Limit: 0.950 <= Freq <= 1.050 kHz
 12.009  MEM2         =[MEM2], Result: [V Result] kHz
 12.010  EVAL   -e MEM >= 0.950 && MEM <= 1.050 : [MEM2]

 13.001  END
